org.keycloak.provider

## Class ProviderConfigurationBuilder

- java.lang.Object
- - org.keycloak.provider.ProviderConfigurationBuilder

-     public class ProviderConfigurationBuilder
      extends Object

  Builds a list of ProviderConfigProperty instances.
  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ProviderConfigurationBuilder.ProviderConfigPropertyBuilder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ProviderConfigProperty>` | `build()` Create the list.
    `static ProviderConfigurationBuilder` | `create()`
    `ProviderConfigurationBuilder.ProviderConfigPropertyBuilder` | `property()`
    `ProviderConfigurationBuilder` | `property(ProviderConfigProperty property)`
    `ProviderConfigurationBuilder` | `property(String name, String label, String helpText, String type, Object defaultValue, List<String> options)`
    `ProviderConfigurationBuilder` | `property(String name, String label, String helpText, String type, Object defaultValue, List<String> options, boolean secret)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ProviderConfigurationBuilder create()

    - #### property

          public ProviderConfigurationBuilder.ProviderConfigPropertyBuilder property()

    - #### property

          public ProviderConfigurationBuilder property(ProviderConfigProperty property)

    - #### property

          public ProviderConfigurationBuilder property(String name,
                                                       String label,
                                                       String helpText,
                                                       String type,
                                                       Object defaultValue,
                                                       List<String> options,
                                                       boolean secret)

    - #### property

          public ProviderConfigurationBuilder property(String name,
                                                       String label,
                                                       String helpText,
                                                       String type,
                                                       Object defaultValue,
                                                       List<String> options)

    - #### build

          public List<ProviderConfigProperty> build()

      Create the list.
      Returns:

Copyright © 2020 JBoss by Red Hat. All rights reserved.